package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2018/2/28
 */
public class MyInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 头像
     */
    private String photo;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别(1：男，2：女)
     */
    private int sex;
    /**
     * 电话
     */
    private String telephone;
    /**
     * 所在机构id
     */
    private String orgId;
    /**
     * 所在机构
     */
    private String organization;
    /**
     * 所授科目（多个科目以这种方式：语文;数学;英语;物理;化学）
     */
    private String course;
    /**
     * 绑定学生数
     */
    private int studentCount;
    /**
     * 审核状态（0：审核中或未审核，1：审核通过，2：审核拒绝）
     */
    private int approveStatus;
    /**
     * 是否是第一次审核（0：否，1：是）
     */
    private int isFirst;
    /**
     * 教师资格证书
     */
    private String certification;
    /**
     * 身份证正面
     */
    private String idFace;
    /**
     * 身份证反面
     */
    private String idCon;

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getCourse() {
        return course;
    }

    public void setCourse(String course) {
        this.course = course;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public int getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(int approveStatus) {
        this.approveStatus = approveStatus;
    }

    public int getIsFirst() {
        return isFirst;
    }

    public void setIsFirst(int isFirst) {
        this.isFirst = isFirst;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getIdCon() {
        return idCon;
    }

    public void setIdCon(String idCon) {
        this.idCon = idCon;
    }
}
